# allDependencies

abstract fun allDependencies(action: Action<in DependencyResult>)

Applies given action for each dependency. An instance of DependencyResult is passed as parameter to the action.

#### Parameters

action

- action that is applied for each dependency

abstract fun allDependencies(@DelegatesTo(value = DependencyResult::class) closure: Closure)

Applies given closure for each dependency. An instance of DependencyResult is passed as parameter to the closure.

#### Parameters

closure

- closure that is applied for each dependency